------------------------------------------------------------------------------
--                                                                          --
--                           GNATELIM COMPONENTS                            --
--                                                                          --
--                             G N A T E L I M                              --
--                                                                          --
--                                 S p e c                                  --
--                                                                          --
--                       Copyright (C) 2009, AdaCore                        --
--                                                                          --
-- GNATELIM  is  free software;  you can  redistribute it and/or  modify it --
-- under the terms of the  GNU  General Public License  as published by the --
-- Free Software Foundation; either version 2 or (at your option) any later --
-- version. GNATELIM is distributed in the hope that it will be useful, but --
-- WITHOUT ANY WARRANTY; without even the implied warranty of  MERCHANTABI- --
-- LITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public Li- --
-- cense for  more details.  You should  have  received  a copy of the  GNU --
-- General Public License distributed with GNAT; see file COPYING.  If not, --
-- write to the  Free Software Foundation, 51 Franklin Street, Fifth Floor, --
-- Boston, MA 02110-1301, USA.                                              --
--                                                                          --
-- The original version  of  Gnatelim  was developed by  Alain  Le  Guennec --
-- It is now maintained by AdaCore (http://www.adacore.com)                 --
--                                                                          --
------------------------------------------------------------------------------

--  This package contains definitions of gnatelim-specific options

with ASIS_UL.Options;

package Gnatelim.Options is

   Eliminate_Dispatching_Operations : Boolean renames
     ASIS_UL.Options.Represent_Dispatching_Calls;
   --  --elim-dispatching
   --  If this flag is ON, gnatelim tries to eliminate dispatching operations.

   Compute_Closure : Boolean := False;
   --  If this flag is ON, gnatelim itself computes the set of units that
   --   make up a closure of the main unit. This flag is computed by gnatelim
   --  itself by analyzing its parameters.

end Gnatelim.Options;
